#
# spec file for package python-pytest-plus
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-pytest-plus
Version:        0.7.0
Release:        1.1
Summary:        Extension for pytest to enforce minimum tests pass
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/pycontribs/pytest-plus
Source:         https://files.pythonhosted.org/packages/source/p/pytest-plus/pytest-plus-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools >= 63.0.0}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module pytest >= 6.0.1}
# /SECTION
Requires:       python-pytest >= 6.0.1
Suggests:       python-coverage >= 7.0.0
Suggests:       python-pytest-html
BuildArch:      noarch
%python_subpackages

%description
PyTest Plus extends pytest functionality to enforce PYTEST_REQPASS tests passed.

%prep
%setup -q -n pytest-plus-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/*

%changelog
* Mon Apr 15 2024 Dirk Müller <dmueller@suse.com>
- update to 0.7.0:
  * Collect pytest logs on CI
  * Mention number of errors found
* Mon Jan 15 2024 Dirk Müller <dmueller@suse.com>
- update to 0.6.1:
  * Allow colon to be used in test id (#25)
* Tue Nov  7 2023 Dirk Müller <dmueller@suse.com>
- update to 0.6.0:
  * Add checks for test id length and content
  * Allow _, - and . in test id
  * Prevent duplicate test names
  * Enable mypy
  * Replace flake8 with ruff
* Wed May 10 2023 Johannes Kastl <kastl@b1-systems.de>
- update to 0.4.0:
  * Minor Changes
  - Requires py39 or newer
  - Updated metadata links
  - Bump minimal requirements
  * Bugfixes
  - Refactor GHA pipelines
  - Adopt PEP-621 packaging
- no release 0.3.0 available
* Wed May 10 2023 Johannes Kastl <kastl@b1-systems.de>
- add sle15_python_module_pythons
* Sun Apr  5 2020 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v0.2
